El Foro

Connexion à steam impossible

Autor Respuestas
Nicofrand Tuesday 5 June 2007 at 1:19
NicofrandAnonymous

Bonjour,
J'ai en effet un problème avec la connexion à steam .
J'ai installé steam via PlayOnLinux sans problème, ce dernier effectue les mises à jour sans problèmes encore et vient le moment où il me demande de me connecter.
Il refuse mon mot de passe à chaque fois alors que ce dernier est correct (j'ai pu le tester sur un pc avec windows et steam ).
Voilà..
Merci d'avance et félicitations pour ce projet .

EDIT :
Ce problème était au lancement juste après l'installation, en quittant et le relancant soit par le lanceur soit par
playonlinux --run Steam
le programme plante (et ne retourne aucune erreur).
Je dois préciser que j'avais coché "mémoriser le mot de passe" et que ca doit être lié au premier problème.

Editado por: Skely

Christhaal Tuesday 5 June 2007 at 2:12
Christhaal

Même prblème très bizare ca ! mais moi ca ne plante pas: ca me met jsute connection impossible

Nicofrand Tuesday 5 June 2007 at 2:13
NicofrandAnonymous

Tu avais également coché la case pour mémoriser ton mot de passe?
Christhaal Tuesday 5 June 2007 at 2:19
Christhaal

C'est pas dû à ca

Le bug a été signalé sur le site de wine > http://bugs.winehq.org/show_bug.cgi?id=8569

je regarderait ca demain ... je suis crevé bonne nuit

goku Tuesday 5 June 2007 at 16:58
goku

Tu as la version 0.9.38 de wine?
Si oui, j'ai le même problème que toi depuis cette version

Windows de Microsoft.

Mac de Apple.

Linux du monde entier.
Quentin PÂRIS Tuesday 5 June 2007 at 17:11
Quentin PÂRIS
Admin

Sous ubuntu :

Utilise le script wine_download :

http://webadvance.free.fr/PlayOnLinux/forums/see_topic.php?topic=59

En prenant la version d'avant. Ceci sera surement automatisé dans la prochaine version de PlayOnLinux. Patience
GNU_Raziel Tuesday 5 June 2007 at 17:23
GNU_Raziel

Pour corriger le problème :

1-Fermer Steam

2-Utiliser ce petit script bash

#!/bin/bash

WINEPREFIX=$HOME/.PlayOnLinux/wineprefix/Steam/
echo "[HKEY_CURRENT_USER\Software\Wine]" > version.reg
echo "\"Version\"=\"winxp\"" >> version.reg
regedit version.reg
rm version.reg


3-Ensuite effacez les fichiers :
-ClientBlob.reg
-SteamUI.dll

4-Relancer Steam

ça a parfaitement fonctionné pour moi donc ça devrait être le cas pour vous (je précise que je n'ai aucun jeu steam, j'ai juste installé steam et créé un compte pour voir le problème)

Editado por: GNU_Raziel

Quentin PÂRIS Tuesday 5 June 2007 at 17:25
Quentin PÂRIS
Admin

Le XP, il le fait tout seul Supprimer les fichiers, je vais essayer de le faire tiens
Christhaal Tuesday 5 June 2007 at 17:33
Christhaal

j ai installé wine 0.9.37 et ca remarche parfait ^^

Quentin PÂRIS Tuesday 5 June 2007 at 17:37
Quentin PÂRIS
Admin

j ai installé wine 0.9.37 et ca remarche parfait ^^

Quote from Christhaal


Suis ce qu'on t'as conseille

Supprime $HOME/.PlayOnLinux/wineprefix/Steam/drive_c/Program\ Files/Steam/SteamUI.dll

Et tu n'auras plus de problèmes avec la 0.9.38
Nicofrand Tuesday 5 June 2007 at 19:28
NicofrandAnonymous

Je testerais tout ca merci beaucoup!
Cependant j'ai la version wine-0.9.37 de wine ... A voir donc (je n'ai pas le temps de tester encore, je vous tiendrais au courant ).
FCDI Monday 11 June 2007 at 8:53
FCDIAnonymous

bonjour a vous
désolé de relancer le sujet mais chez moi, cela ne marche pas avec la version 1.7
les mise à jours sont ok mais impossible de se connecter

GNU_Raziel Monday 11 June 2007 at 8:56
GNU_Raziel

Utilise WineVersion pour installé la version 0.9.37 de wine (la meilleure pour Steam a l'heure actuelle) et affecte cette version a Steam (tjrs avec WineVersion)
FCDI Monday 11 June 2007 at 9:27
FCDIAnonymous

super
merci c'est trop fort c'est multi installation

il n'est pas possible dans pol de definir la 0.9.37 par defaut des l'installation ?
GNU_Raziel Monday 11 June 2007 at 9:42
GNU_Raziel

ça ne serait pas une bonne idée, certains jeux fonctionnent bien avec une version mais pas une autre (comme steam, mais avec TombRaider Anniversary c'est l'inverse par exemple) donc le système actuel est plus judicieux.

Mais rien ne t'empeche d'affecter la version 0.9.37 a d'autres jeu grâce a WineVersion

Editado por: GNU_Raziel

FCDI Monday 11 June 2007 at 11:26
FCDIAnonymous

c'est fait
en tout cas c'est du beau boulot

meme pour quelqu'un qui ne connait pas grand chose c'est relativement simple